library tagdb.spec;

import 'dart:io';
import 'dart:async';
import 'package:requestful/server.dart';
import 'package:hub/hub.dart';

void main(){

  var rd = Requestful.create({
    'url':'http://127.0.0.1/',
    'port':3010
  });

  HttpServer.bind('127.0.0.1',3010).then((server){
    server.listen((r){
      var path = r.uri.path;

      if(path == '/endSession') 
          return server.close();

      r.response.write('welcome $path');
      r.response.end();
    });
  });


  var req = rd.query({
    'at': '$/',
    'as': 'json',
  });

  req.prefilter.ware((r,next,end){

  });

}
